(window["webpackJsonp"] = window["webpackJsonp"] || []).push([["task-tab-task-tab-module"],{

/***/ "/yhC":
/*!******************************************************!*\
  !*** ./src/app/pages/tabs/task-tab/task-tab.page.ts ***!
  \******************************************************/
/*! exports provided: TaskTabPage */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "TaskTabPage", function() { return TaskTabPage; });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! tslib */ "mrSG");
/* harmony import */ var _raw_loader_task_tab_page_html__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! raw-loader!./task-tab.page.html */ "wx3N");
/* harmony import */ var _task_tab_page_scss__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./task-tab.page.scss */ "Vfzb");
/* harmony import */ var _angular_core__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! @angular/core */ "fXoL");
/* harmony import */ var _providers_services_web_service__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../../providers/services/web.service */ "Q2ik");
/* harmony import */ var _providers_utils_api_util__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../../providers/utils/api-util */ "fB1+");
/* harmony import */ var _providers_utils_util__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../../../providers/utils/util */ "8xqo");
/* harmony import */ var _components_loading__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../../../components/loading */ "iVOL");
/* harmony import */ var _providers_models_task_data__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ../../../providers/models/task-data */ "AL30");
/* harmony import */ var _providers_constants_constants__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ../../../providers/constants/constants */ "8Yq0");
/* harmony import */ var _providers_constants_task_const__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! ../../../providers/constants/task-const */ "CR6P");
/* harmony import */ var _ionic_angular__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! @ionic/angular */ "TEn/");
/* harmony import */ var _user_search_user_search_page__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(/*! ./user-search/user-search.page */ "e9Zn");
/* harmony import */ var _providers_storage_local_storage__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(/*! ../../../providers/storage/local-storage */ "6HqS");














const JSONBig = __webpack_require__(/*! json-bigint */ "1gRL");
let TaskTabPage = class TaskTabPage {
    constructor(webService, loading, modalController, platform) {
        this.webService = webService;
        this.loading = loading;
        this.modalController = modalController;
        this.platform = platform;
        this.taskList = [];
        this.status = _providers_constants_task_const__WEBPACK_IMPORTED_MODULE_10__["TaskConst"].TAG_UNASSIGNED;
        this.selectedTab = _providers_constants_constants__WEBPACK_IMPORTED_MODULE_9__["Constants"].TAG_TAB_OPEN;
        this.assignTaskRequestBody = new _providers_models_task_data__WEBPACK_IMPORTED_MODULE_8__["TaskAssignRequest"]();
        this.assignToServerRequestBody = new _providers_models_task_data__WEBPACK_IMPORTED_MODULE_8__["AssignToServerRequest"]();
        this.taskAssignment = new _providers_models_task_data__WEBPACK_IMPORTED_MODULE_8__["TaskAssignment"]();
        this.selectedUserName = '';
        this.dateFilter = new _providers_models_task_data__WEBPACK_IMPORTED_MODULE_8__["DateFilter"]();
        this.username = _providers_storage_local_storage__WEBPACK_IMPORTED_MODULE_13__["LocalStorage"].getLoginUserName();
    }
    ngOnInit() {
        return Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"])(this, void 0, void 0, function* () {
            this.loadData();
            this.platform.backButton.subscribe(value => {
                this.modalController.dismiss();
            });
        });
    }
    ionViewDidEnter() {
        this.scrollToTop();
    }
    scrollToTop() {
        this.content.scrollToTop(400);
    }
    loadData() {
        return Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"])(this, void 0, void 0, function* () {
            // if (LocalStorage.getLoginRoleID() === '2' || LocalStorage.getLoginRoleID() === '3' || LocalStorage.getLoginRoleID() === '7') {
            yield this.getTaskList().then();
            this.subtleMsg = '';
            yield this.getSubTitle(this.selectedTab);
            // }
            // else{
            //   this.subtleMsg = 'You have no open tasks!';
            // }
        });
    }
    /* Get all tasks with employeeID */
    getTaskList() {
        return Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"])(this, void 0, void 0, function* () {
            this.loader = this.loading.presentLoading();
            const dateToday = new Date();
            const yesterdayDate = new Date(dateToday);
            yesterdayDate.setDate(yesterdayDate.getDate() - 1);
            const dateFilter = yesterdayDate.toISOString();
            const responseString = yield this.webService.getWebRequest(_providers_utils_api_util__WEBPACK_IMPORTED_MODULE_5__["ApiUtil"].getTaskRequestUrl(this.status, dateFilter), _providers_services_web_service__WEBPACK_IMPORTED_MODULE_4__["WebService"].bearerToken, '');
            if (_providers_utils_util__WEBPACK_IMPORTED_MODULE_6__["Util"].isEmptyObj(responseString)) {
                this.reset();
                yield this.getSubTitle(this.selectedTab);
                yield this.loading.dismissLoading(this.loader);
                _providers_utils_util__WEBPACK_IMPORTED_MODULE_6__["Util"].consoleLog('Empty Login responseString');
            }
            try {
                yield this.loading.dismissLoading(this.loader);
                const response = JSONBig.parse(JSONBig.stringify(responseString));
                this.taskList = response;
                _providers_utils_util__WEBPACK_IMPORTED_MODULE_6__["Util"].consoleLog('TaskList:' + JSON.stringify(this.taskList));
            }
            catch (e) {
                yield this.loading.dismissLoading(this.loader);
            }
        });
    }
    /* Assign Task to server */
    updateServerTaskRequest(ev, task) {
        return Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"])(this, void 0, void 0, function* () {
            _providers_utils_util__WEBPACK_IMPORTED_MODULE_6__["Util"].consoleLog('TaskID:' + task.taskRequestID);
            let responseString;
            this.loader = this.loading.presentLoading();
            if (ev) {
                this.selectedUserName = '';
                this.assignTaskRequestBody.status = _providers_constants_task_const__WEBPACK_IMPORTED_MODULE_10__["TaskConst"].TAG_ASSIGNED;
                ev.stopPropagation();
                task.status = _providers_constants_task_const__WEBPACK_IMPORTED_MODULE_10__["TaskConst"].TAG_ASSIGNED;
                this.taskAssignment.taskRequestID = task.taskRequestID;
                this.taskAssignment.tableID = task.tableID;
                const userID = new _providers_models_task_data__WEBPACK_IMPORTED_MODULE_8__["UserAssign"]();
                userID.userID = _providers_storage_local_storage__WEBPACK_IMPORTED_MODULE_13__["LocalStorage"].getLoginUserID();
                this.taskAssignment.assignedTo = userID;
                const type = new _providers_models_task_data__WEBPACK_IMPORTED_MODULE_8__["Type"]();
                type.type = 'Customer';
                this.taskAssignment.assignedBy = type;
                responseString = yield this.webService.postWebRequest(_providers_utils_api_util__WEBPACK_IMPORTED_MODULE_5__["ApiUtil"].getTaskAssigmentUrl(), this.taskAssignment, _providers_services_web_service__WEBPACK_IMPORTED_MODULE_4__["WebService"].bearerToken, '');
            }
            else {
                this.assignToServerRequestBody.status = _providers_constants_task_const__WEBPACK_IMPORTED_MODULE_10__["TaskConst"].TAG_ASSIGNED;
                task.status = _providers_constants_task_const__WEBPACK_IMPORTED_MODULE_10__["TaskConst"].TAG_ASSIGNED;
                this.taskAssignment.taskRequestID = task.taskRequestID;
                this.taskAssignment.tableID = task.tableID;
                this.taskAssignment.assignedTo = task.assignedTo;
                const type = new _providers_models_task_data__WEBPACK_IMPORTED_MODULE_8__["Type"]();
                type.type = 'Customer';
                this.taskAssignment.assignedBy = type;
                responseString = yield this.webService.postWebRequest(_providers_utils_api_util__WEBPACK_IMPORTED_MODULE_5__["ApiUtil"].getTaskAssigmentUrl(), this.taskAssignment, _providers_services_web_service__WEBPACK_IMPORTED_MODULE_4__["WebService"].bearerToken, '');
            }
            if (_providers_utils_util__WEBPACK_IMPORTED_MODULE_6__["Util"].isEmptyObj(responseString)) {
                this.loading.dismissLoading(this.loader);
                this.loading.showToast('Task assign failed');
            }
            try {
                const response = JSONBig.parse(JSONBig.stringify(responseString));
                task.status = response.status;
                this.updateTaskRequestStatus(task.taskRequestID);
            }
            catch (e) {
                this.loading.dismissLoading(this.loader);
                this.loading.showToast('Task assign failed');
            }
        });
    }
    /*Update task request status*/
    updateTaskRequestStatus(taskRequestID) {
        return Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"])(this, void 0, void 0, function* () {
            const requestBody = new _providers_models_task_data__WEBPACK_IMPORTED_MODULE_8__["TaskAssignRequest"]();
            requestBody.status = _providers_constants_task_const__WEBPACK_IMPORTED_MODULE_10__["TaskConst"].TAG_ASSIGNED;
            const responseString = yield this.webService.patchWebRequest(_providers_utils_api_util__WEBPACK_IMPORTED_MODULE_5__["ApiUtil"].patchTaskRequestUrl(taskRequestID), requestBody, _providers_services_web_service__WEBPACK_IMPORTED_MODULE_4__["WebService"].bearerToken, '');
            if (_providers_utils_util__WEBPACK_IMPORTED_MODULE_6__["Util"].isEmptyObj(responseString)) {
                yield this.loading.dismissLoading(this.loader);
                yield this.loading.showToast('Task assign failed');
            }
            try {
                yield this.loading.dismissLoading(this.loader);
                const response = JSONBig.parse(JSONBig.stringify(responseString));
                if (!_providers_utils_util__WEBPACK_IMPORTED_MODULE_6__["Util"].isEmptyString(this.selectedUserName)) {
                    yield this.loading.showToast('Task assigned to ' + this.selectedUserName);
                }
                else {
                    yield this.loading.showToast('Task assigned successfully');
                }
            }
            catch (e) {
                yield this.loading.dismissLoading(this.loader);
                yield this.loading.showToast('Task assign failed');
            }
        });
    }
    getServerList(task) {
        return Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"])(this, void 0, void 0, function* () {
            _providers_utils_util__WEBPACK_IMPORTED_MODULE_6__["Util"].consoleLog('Task:' + JSON.stringify(task));
            const modal = yield this.modalController.create({
                component: _user_search_user_search_page__WEBPACK_IMPORTED_MODULE_12__["UserSearchPage"],
                // cssClass: 'modal-full-screen',
                componentProps: {
                    tab: this.selectedTab,
                }
            });
            yield modal.present();
            const data = yield modal.onDidDismiss();
            const userAssignTo = new _providers_models_task_data__WEBPACK_IMPORTED_MODULE_8__["UserAssign"]();
            this.selectedTab = data.data.tab;
            _providers_utils_util__WEBPACK_IMPORTED_MODULE_6__["Util"].consoleLog(' this.selectedTab :' + this.selectedTab);
            userAssignTo.userID = data.data.selectedUser;
            this.assignToServerRequestBody.assignedTo = userAssignTo;
            task.assignedTo = userAssignTo;
            this.selectedUserName = data.data.selectedUserName;
            yield this.updateServerTaskRequest('', task);
        });
    }
    segmentChanged(ev) {
        return Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"])(this, void 0, void 0, function* () {
            if (ev) {
                yield this.reset();
                this.selectedTab = ev.target.value;
                this.status = this.selectedTab === _providers_constants_constants__WEBPACK_IMPORTED_MODULE_9__["Constants"].TAG_TAB_CLOSED ? _providers_constants_task_const__WEBPACK_IMPORTED_MODULE_10__["TaskConst"].TAG_COMPLETED : _providers_constants_task_const__WEBPACK_IMPORTED_MODULE_10__["TaskConst"].TAG_UNASSIGNED;
                yield this.getTaskList().then(value => {
                    this.getSubTitle(this.selectedTab);
                }).catch(err => {
                    _providers_utils_util__WEBPACK_IMPORTED_MODULE_6__["Util"].logError(err);
                });
            }
        });
    }
    doRefresh($event) {
        return Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"])(this, void 0, void 0, function* () {
            if ($event) {
                setTimeout(() => Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"])(this, void 0, void 0, function* () {
                    console.log('Async operation has ended');
                    yield $event.target.complete();
                }), 1000);
                yield this.reset();
                yield this.getTaskList();
            }
            yield $event.target.complete();
        });
    }
    getSubTitle(tab) {
        return Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"])(this, void 0, void 0, function* () {
            this.subtleMsg = '';
            const hasTask = !_providers_utils_util__WEBPACK_IMPORTED_MODULE_6__["Util"].isEmptyObj(this.taskList);
            _providers_utils_util__WEBPACK_IMPORTED_MODULE_6__["Util"].consoleLog('tab:' + tab);
            _providers_utils_util__WEBPACK_IMPORTED_MODULE_6__["Util"].consoleLog('hasTask:' + hasTask);
            if (tab === _providers_constants_constants__WEBPACK_IMPORTED_MODULE_9__["Constants"].TAG_TAB_OPEN && hasTask === true) {
                this.subtleMsg = 'You have new tasks waiting.';
            }
            else if (tab === _providers_constants_constants__WEBPACK_IMPORTED_MODULE_9__["Constants"].TAG_TAB_OPEN && hasTask === false) {
                this.subtleMsg = 'You have no open tasks!';
            }
            else if (tab === _providers_constants_constants__WEBPACK_IMPORTED_MODULE_9__["Constants"].TAG_TAB_CLOSED && hasTask === true) {
                this.subtleMsg = 'You have closed these tasks today...';
            }
            else if (tab === _providers_constants_constants__WEBPACK_IMPORTED_MODULE_9__["Constants"].TAG_TAB_CLOSED && hasTask === false) {
                this.subtleMsg = 'You have closed these tasks today...';
            }
            _providers_utils_util__WEBPACK_IMPORTED_MODULE_6__["Util"].consoleLog('subtleMsg:' + this.subtleMsg);
            yield this.loading.dismissLoading(this.loader);
        });
    }
    reset() {
        this.taskList = [];
    }
};
TaskTabPage.ctorParameters = () => [
    { type: _providers_services_web_service__WEBPACK_IMPORTED_MODULE_4__["WebService"] },
    { type: _components_loading__WEBPACK_IMPORTED_MODULE_7__["Loading"] },
    { type: _ionic_angular__WEBPACK_IMPORTED_MODULE_11__["ModalController"] },
    { type: _ionic_angular__WEBPACK_IMPORTED_MODULE_11__["Platform"] }
];
TaskTabPage.propDecorators = {
    content: [{ type: _angular_core__WEBPACK_IMPORTED_MODULE_3__["ViewChild"], args: [_ionic_angular__WEBPACK_IMPORTED_MODULE_11__["IonContent"],] }]
};
TaskTabPage = Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__decorate"])([
    Object(_angular_core__WEBPACK_IMPORTED_MODULE_3__["Component"])({
        selector: 'app-task-tab',
        template: _raw_loader_task_tab_page_html__WEBPACK_IMPORTED_MODULE_1__["default"],
        styles: [_task_tab_page_scss__WEBPACK_IMPORTED_MODULE_2__["default"]]
    })
], TaskTabPage);



/***/ }),

/***/ "TbKI":
/*!****************************************************************!*\
  !*** ./src/app/pages/tabs/task-tab/task-tab-routing.module.ts ***!
  \****************************************************************/
/*! exports provided: TaskTabPageRoutingModule */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "TaskTabPageRoutingModule", function() { return TaskTabPageRoutingModule; });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! tslib */ "mrSG");
/* harmony import */ var _angular_core__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @angular/core */ "fXoL");
/* harmony import */ var _angular_router__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @angular/router */ "tyNb");
/* harmony import */ var _task_tab_page__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./task-tab.page */ "/yhC");




const routes = [
    {
        path: '',
        component: _task_tab_page__WEBPACK_IMPORTED_MODULE_3__["TaskTabPage"]
    },
    {
        path: 'user-search',
        loadChildren: () => __webpack_require__.e(/*! import() | user-search-user-search-module */ "user-search-user-search-module").then(__webpack_require__.bind(null, /*! ./user-search/user-search.module */ "AUZb")).then(m => m.UserSearchPageModule)
    }
];
let TaskTabPageRoutingModule = class TaskTabPageRoutingModule {
};
TaskTabPageRoutingModule = Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__decorate"])([
    Object(_angular_core__WEBPACK_IMPORTED_MODULE_1__["NgModule"])({
        imports: [_angular_router__WEBPACK_IMPORTED_MODULE_2__["RouterModule"].forChild(routes)],
        exports: [_angular_router__WEBPACK_IMPORTED_MODULE_2__["RouterModule"]],
    })
], TaskTabPageRoutingModule);



/***/ }),

/***/ "Vfzb":
/*!********************************************************!*\
  !*** ./src/app/pages/tabs/task-tab/task-tab.page.scss ***!
  \********************************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony default export */ __webpack_exports__["default"] = ("ion-list {\n  border-bottom: 0 !important;\n}\n/*# sourceMappingURL=data:application/json;base64,eyJ2ZXJzaW9uIjozLCJzb3VyY2VzIjpbIi4uLy4uLy4uLy4uLy4uL3Rhc2stdGFiLnBhZ2Uuc2NzcyJdLCJuYW1lcyI6W10sIm1hcHBpbmdzIjoiQUFBQTtFQUNFLDJCQUFBO0FBQ0YiLCJmaWxlIjoidGFzay10YWIucGFnZS5zY3NzIiwic291cmNlc0NvbnRlbnQiOlsiaW9uLWxpc3Qge1xuICBib3JkZXItYm90dG9tOiAwIWltcG9ydGFudDtcbn1cbiJdfQ== */");

/***/ }),

/***/ "q9Pg":
/*!********************************************************!*\
  !*** ./src/app/pages/tabs/task-tab/task-tab.module.ts ***!
  \********************************************************/
/*! exports provided: TaskTabPageModule */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "TaskTabPageModule", function() { return TaskTabPageModule; });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! tslib */ "mrSG");
/* harmony import */ var _angular_core__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @angular/core */ "fXoL");
/* harmony import */ var _angular_common__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @angular/common */ "ofXK");
/* harmony import */ var _angular_forms__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! @angular/forms */ "3Pt+");
/* harmony import */ var _ionic_angular__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! @ionic/angular */ "TEn/");
/* harmony import */ var _task_tab_routing_module__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./task-tab-routing.module */ "TbKI");
/* harmony import */ var _task_tab_page__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ./task-tab.page */ "/yhC");







let TaskTabPageModule = class TaskTabPageModule {
};
TaskTabPageModule = Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__decorate"])([
    Object(_angular_core__WEBPACK_IMPORTED_MODULE_1__["NgModule"])({
        imports: [
            _angular_common__WEBPACK_IMPORTED_MODULE_2__["CommonModule"],
            _angular_forms__WEBPACK_IMPORTED_MODULE_3__["FormsModule"],
            _ionic_angular__WEBPACK_IMPORTED_MODULE_4__["IonicModule"],
            _task_tab_routing_module__WEBPACK_IMPORTED_MODULE_5__["TaskTabPageRoutingModule"]
        ],
        declarations: [_task_tab_page__WEBPACK_IMPORTED_MODULE_6__["TaskTabPage"]]
    })
], TaskTabPageModule);



/***/ }),

/***/ "wx3N":
/*!**********************************************************************************************!*\
  !*** ./node_modules/raw-loader/dist/cjs.js!./src/app/pages/tabs/task-tab/task-tab.page.html ***!
  \**********************************************************************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony default export */ __webpack_exports__["default"] = ("<ion-header class=\"ion-no-border\">\n  <ion-toolbar mode=\"ios\" class=\"bg-transparent \">\n    <ion-buttons slot=\"start\">\n      <ion-menu-button color=\"light\">\n        <ion-icon src=\"../assets/icon/hamburger.svg\"></ion-icon>\n      </ion-menu-button>\n    </ion-buttons>\n  </ion-toolbar>\n\n  <ion-toolbar mode=\"ios\" class=\"bg-transparent pb-25\">\n    <ion-segment class=\"ion-fixe\" [value]=\"selectedTab\" scrollable=\"true\" mode=\"ios\"\n                 (ionChange)=\"segmentChanged($event)\">\n      <ion-segment-button mode=\"ios\" value=\"tab-open\">\n        <ion-label>Open</ion-label>\n      </ion-segment-button>\n      <ion-segment-button mode=\"ios\" value=\"tab-closed\">\n        <ion-label>Closed</ion-label>\n      </ion-segment-button>\n    </ion-segment>\n  </ion-toolbar>\n</ion-header>\n\n\n<ion-content class=\" pt-25\" fullscreen >\n\n  <ion-refresher (ionRefresh)=\"doRefresh($event)\" slot=\"fixed\" pullFactor=\"0.5\" pullMin=\"100\" pullMax=\"200\">\n    <ion-refresher-content>\n    </ion-refresher-content>\n  </ion-refresher>\n\n  <ion-label class=\"fs-24 fw-300 ion-padding-top ion-padding-horizontal pb-25\" color=\"light\">\n    Welcome, {{username}}</ion-label>\n  <ion-row *ngIf=\"taskList.length > 0\"\n           class=\"h-33 bg-grey05 flex ion-padding-horizontal  ion-align-items-center mt-25\">\n    <ion-label *ngIf=\"subtleMsg\" class=\"clr-D8D8D8\">{{subtleMsg}}</ion-label>\n  </ion-row>\n\n  <div *ngIf=\"taskList.length === 0\" class=\"h-100 flex ion-align-items-center alin-col flex ion-justify-content-center\">\n    <ion-img class=\"empty-img\" src=\"assets/icon/server-man.svg\"></ion-img>\n    <ion-label color=\"light\">{{subtleMsg}}</ion-label>\n  </div>\n\n  <div *ngIf=\"taskList.length > 0\">\n    <ion-list >\n      <div *ngFor=\"let task of taskList\">\n      <div *ngIf=\"task.status=== 'UNASSIGNED' || task.status === 'COMPLETED'\" class=\"ion-padding-horizontal\">\n        <ion-grid class=\"p-h-0\">\n          <div class=\"w-100 flex alin-row ion-justify-content-between\">\n\n            <div class=\"pl-0\" [ngClass]=\"selectedTab === 'tab-open' ? 'w-85' : 'w-100'\">\n              <div\n                class=\"bg-grey05 pt-10 pb-10 pr-10  pl-10 h-36 ion-justify-content-between flex ion-align-items-center  br-r5\">\n                <ion-label color=\"tertiary\">{{task.tableName}}</ion-label>\n              </div>\n            </div>\n\n            <div class=\"pl-0 w-10\" *ngIf=\"task.status != 'COMPLETED'\">\n              <div (click)=\"getServerList(task)\"\n                   class=\"bg-grey05 h-36 ion-justify-content-center flex ion-align-items-center br-r5\">\n                <ion-icon class=\"icon-send\" color=\"light\" src=\"../assets/icon/send.svg\"></ion-icon>\n              </div>\n            </div>\n\n          </div>\n        </ion-grid>\n\n        <div class=\"flex alin-col ion-padding-bottom\">\n          <ion-label *ngIf=\"task.title\" class=\"fs-16 pb-10 fw-700\" color=\"light\">{{task.title}}</ion-label>\n          <ion-label *ngIf=\"task.description\" class=\"fs-16 pb-10 fw-400\" color=\"light\">{{task.description}}</ion-label>\n          <ion-label *ngIf=\"task.message\" class=\"fs-16 pb-10 fw-400\" color=\"light\">{{task.message}}</ion-label>\n          <ion-label class=\"fs-14 fw-400 pb-5\" color=\"medium\">Section: {{task.sectionName}}</ion-label>\n\n          <div class=\"flex alin-row w-100\">\n            <ion-label class=\" ion-align-self-end fs-14 w-70 ion-padding-bottom fw-400\" color=\"medium\">\n              Date: {{task.requestedDate | date : 'MMM d, h:mm a'}}\n            </ion-label>\n\n            <ion-button class=\"w-30 h30 bg-383838 br-r5\" *ngIf=\"selectedTab === 'tab-open'\"\n                        (click)=\"updateServerTaskRequest($event, task)\">\n              <ion-label *ngIf=\"task.status === 'UNASSIGNED'\" class=\"fw-700 ion-text-capitalize fs-16 \" color=\"tertiary\">\n                Accept\n              </ion-label>\n              <ion-icon *ngIf=\"task.status === 'ASSIGNED'\" color=\"tertiary\" name=\"checkmark-outline\"></ion-icon>\n            </ion-button>\n\n            <ion-button class=\"w-30 h30 bg-383838 br-r5\" *ngIf=\"selectedTab === 'tab-closed'\">\n              <ion-label *ngIf=\"selectedTab === 'tab-closed'\" class=\"fw-700 fs-16\" color=\"danger\">Closed</ion-label>\n            </ion-button>\n\n\n            <!--        <ion-button class=\"w-30 h30 bg-grey-rgb-16 br-r5\" *ngIf=\"selectedTab === 'tab-open' && task.status != 'COMPLETED'-->\n            <!--        || task.status !='UNASSIGNED'\">-->\n            <!--          <ion-label color=\"primary\" class=\"fw-700 fs-16\">{{task.status}}</ion-label>-->\n            <!--        </ion-button>-->\n          </div>\n\n        </div>\n\n      </div>\n      <div *ngIf=\"task.status=== 'UNASSIGNED' || task.status === 'COMPLETED'\" class=\"divider-line\"></div>\n      </div>\n    </ion-list>\n  </div>\n\n\n</ion-content>\n");

/***/ })

}]);
//# sourceMappingURL=task-tab-task-tab-module.js.map